package com.jpsoft.shinestar.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.base.entity.EpidemicReport;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface EpidemicReportService {
	EpidemicReport get(String id);
	boolean exist(String id);
	int insert(EpidemicReport model);
	int update(EpidemicReport model);
	int delete(String id);
	List<EpidemicReport> list();
	Page<EpidemicReport> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}